<?php

	lt_include( PLOG_CLASS_PATH."class/action/admin/adminaction.class.php" );
	lt_include( PLOG_CLASS_PATH."class/view/admin/adminplugintemplatedview.class.php" );
	lt_include( PLOG_CLASS_PATH."plugins/technoratitagcloud/class/view/plugintechnoratitagcloudconfigview.class.php" );	

	/**
	 * shows a form with the current configuration
	 */
	class PluginTechnoratiTagCloudConfigAction extends AdminAction
	{
		
		function PluginTechnoratiTagCloudConfigAction( $actionInfo, $request )
		{
			$this->AdminAction( $actionInfo, $request );
		}
		
		function perform()
		{
            $this->_view = new PluginTechnoratiTagCloudConfigView( $this->_blogInfo );
			
			$this->setCommonData();
			
			return true;
		}
	}
?>
